# Start Deduplication Job

Starts a Deduplication Job for the given storage.

Endpoint: POST /v2/deduplicationjobs
Version: 2
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header X-API-KEY

## Request fields (application/json):

  - `storageId` (string)
    Unique identifier of the Storage.
    Example: 72d6900fce6b326088f5d9d91049e3e6

  - `countryShortNames` (array)
    If set, only the records that belong to the countries identified by these short names are processed. By default, all records of the storage (means from all countries) are processed (considering other filters).

  - `dataSourceIds` (array)
    If set, only the records that belong to the data sources identified by these IDs are processed. By default, all records of the storage (means from all data sources) are processed (considering other filters).

  - `decisionLogIds` (array)
    If set, feedback from listed Matching Decision Logs will be considered.

  - `dataMatchingDefinitionId` (string)
    Id of the data matching definition.
    Example: 6461e6113b1865304b3038b6

  - `reportsRequest` (object)
    Parameters for reports generation for the Deduplication Job.

  - `reportsRequest.reportsConfiguration` (object)
    Configuration for reports generation for the Deduplication Job.

  - `reportsRequest.reportsConfiguration.duplicateMatching` (object)
    Generates a data matching report that doesn't include artificial golden records on top of each matching group. Optionally IncludeSingles feature can be set to true.

  - `reportsRequest.reportsConfiguration.duplicateMatching.build` (boolean)
    Enable to generate this report.
    Example: false

  - `reportsRequest.reportsConfiguration.duplicateMatching.includeSingles` (boolean)
    Enables singles (non duplicated records) for the duplicate matching report.
    Example: false

  - `reportsRequest.reportsConfiguration.duplicateConsolidation` (object)
    Generates a data matching report that includes artificial golden records on top of each matching group. Optionally IncludeSingles feature can be set to true.

  - `reportsRequest.reportsConfiguration.duplicateConsolidation.includeSingles` (boolean)
    Enables singles (non duplicated records) for the duplicate consolidation report.
    Example: false

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier of a job.
    Example: 35f23c03-1c22-45fe-9484-3ffe769325de

  - `storageId` (string)
    Unique identifier of the Storage.
    Example: 72d6900fce6b326088f5d9d91049e3e6

  - `dataMatchingDefinitionId` (string)
    Id of the data matching definition.
    Example: 6461e6113b1865304b3038b6

  - `dataSourceIds` (array)
    List of Data Source IDs.

  - `decisionLogIds` (array)
    If set, feedback from listed Matching Decision Logs will be considered.

  - `countryShortNames` (array)
    List of country short names.

  - `createdAt` (string)
    Date of creation (ISO 8601-compliant).
    Example: 2026-11-11T03:23:28Z

  - `createdBy` (string)
    Creator of a resource.
    Example: 76248934691294444

  - `status` (string)
    Curation Job execution status.
List of values:
* `ARCHIVED`: The job is archived.
* `UNKNOWN`: The job status is unknown.
* `CREATED`: The job has been created.
* `PERSISTED`: The job has been persisted.
* `SCHEDULED`: The job is scheduled.
* `WAITING`: The job is waiting.
* `COULDNT_START`: The job could not be started.
* `RUNNING`: The job is running.
* `FINISHED`: The job has finished.
* `DIED`: The job has died.
* `CANCELED`: The job has been canceled.
* `FAILED`: The job has failed.
    Example: RUNNING

  - `progress` (integer)
    Progress (%) of the job.
    Example: 77

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden

